Support » Plugin: cbnet Multi Author Comment Notification » Fatal error after installing the latest version

  • Resolved Martok

    (@martok)


    I’ve just upgraded to WordPress 3.5 and following this, I have updated the cbnet Multi Author Comment Notification to the latest version (v 2.0) on my dev site. When it tried to activate it, the following error was shown:

    Fatal error: Cannot redeclare wp_notify_postauthor() (previously declared in ……/wp-includes/pluggable.php:988) in ……/wp-content/plugins/cbnet-multi-author-comment-notification/pluggable.php on line 135

    (Note: I’ve edited the full path (replacing it with ……) so it only includes the relevant bit).

    Each time I try to activate the plugin, I get the same fatal error. I’ve deleted the plugin and reinstalled it but still get the same problem.

    The old version of the plugin seems to be working under WordPress 3.5 on my live site, so it’s an issue with the major re-write in 2.0.

    http://wordpress.org/extend/plugins/cbnet-multi-author-comment-notification/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Chip Bennett

    (@chipbennett)

    Theme Review Admin

    That’s strange. The wp_notify_postauthor() function is pluggable, meaning that it is intended to be defined by Plugins. I’m not sure why it’s not loading properly for you. Let me look into it.

    (And you’re right: it’s new to the re-write. The old version of the Plugin used a different method entirely.)

    Plugin Author Chip Bennett

    (@chipbennett)

    Theme Review Admin

    I just pushed version 2.0.1, which resolves this issue.

    Complete #facepalm on my part. I failed to wrap the pluggable function in function_exists(), which is always best practice anyway. But the reason that you saw the issue on activation is that, on activation, pluggable.php loads before the Plugin files.

    Let me know if you still run into any issues.

    Thanks for using the Plugin!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Fatal error after installing the latest version’ is closed to new replies.